This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 31379 - Xircom Tulip CardBus Performance VERY Bad.
Xircom Tulip CardBus Performance VERY Bad.
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-10 18:25 EST by David Sainty
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 20:00:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Sainty 2001-03-10 18:25:08 EST
With the latest Xircom Tulip CardBus driver from Arjan / kernel, speed is
_very_ slow, considering this Xircom Tulip is supposed to do 100Mbit FDX.

Here are results from three tests conducted simultaneously, to receive
rawhide RPMS off a server (e100 100FDX, RHL7 2.2.17 errata kernel) via a
Cisco 4006 10/100 FDX capable switch using ncftp on the clients:

Machine               Card                    Av. Reported Transfer Speed
-------------------------------------------------------------------------
1. Latitude LS500        Xircom Tulip 10/100 CB card            185kB/sec
2. Latitude CPx650       3Com 3c574 10/100 PC (16b) card        800kB/sec
3. Dual PIII Xeon        3Com on-board 10/100 PCI               10MB/sec

Considering this is supposed to be a CardBus 100Mbit FDX connection, the
performance is 2% of what it should be.  (Kernel used for 1. is
2.4.2-0.1.22, for 2. and 3. is 2.4.2-0.1.20)

Also worth looking at may be the port statistics for 1. and 2 on the cisco:

---------------------

From 1.... (the Xircom tulip CB card)

RH-SURREY-SW0> (enable) show port 2/37
Port  Name               Status     Vlan       Level  Duplex Speed Type
----- ------------------ ---------- ---------- ------ ------ ----- ------------
 2/37                    connected  1          normal   full   100 10/100BaseTX


Port  Security Violation Shutdown-Time Age-Time Max-Addr Trap     IfIndex
----- -------- --------- ------------- -------- -------- -------- -------
 2/37 disabled  shutdown             0        0        1 disabled      92

Port  Num-Addr Secure-Src-Addr   Age-Left Last-Src-Addr     Shutdown/Time-Left
----- -------- ----------------- -------- ----------------- ------------------
 2/37        0                 -        -                 -        -         -

Port  Status     Channel              Admin Ch
                 Mode                 Group Id
----- ---------- -------------------- ----- -----
 2/37 connected  auto silent             24     0

Port  Align-Err  FCS-Err    Xmit-Err   Rcv-Err    UnderSize
----- ---------- ---------- ---------- ---------- ---------
 2/37          -       4573          0       9146         0

Port  Single-Col Multi-Coll Late-Coll  Excess-Col Carri-Sen Runts     Giants
----- ---------- ---------- ---------- ---------- --------- --------- ---------
 2/37          0          0          0          0         0      4573         0
        
Last-Time-Cleared
--------------------------
Sat Mar 10 2001, 12:43:50

--------------

From 2... (3Com PC card)

RH-SURREY-SW0> (enable) show port 2/33
Port  Name               Status     Vlan       Level  Duplex Speed Type
----- ------------------ ---------- ---------- ------ ------ ----- ------------
 2/33                    connected  1          normal   full   100 10/100BaseTX


Port  Security Violation Shutdown-Time Age-Time Max-Addr Trap     IfIndex
----- -------- --------- ------------- -------- -------- -------- -------
 2/33 disabled  shutdown             0        0        1 disabled      88

Port  Num-Addr Secure-Src-Addr   Age-Left Last-Src-Addr     Shutdown/Time-Left
----- -------- ----------------- -------- ----------------- ------------------
 2/33        0                 -        -                 -        -         -

Port  Status     Channel              Admin Ch
                 Mode                 Group Id
----- ---------- -------------------- ----- -----
 2/33 connected  auto silent             23     0

Port  Align-Err  FCS-Err    Xmit-Err   Rcv-Err    UnderSize
----- ---------- ---------- ---------- ---------- ---------
 2/33          -         17          0        933       900

Port  Single-Col Multi-Coll Late-Coll  Excess-Col Carri-Sen Runts     Giants
----- ---------- ---------- ---------- ---------- --------- --------- ---------
 2/33          0          0          0          0         0        16         0
        
Last-Time-Cleared
--------------------------
Sat Mar 10 2001, 12:43:50

-------------------------

These two sets of port statistics were recorded at the same time, and the
packet counts are over the same time period. Note the particularly high
number of FCS errors, Rcv Errors and Runts on the port, even though there
are no errors, dropped, overrun, etc when you do an ifconfig!!


DS..

(ref #26060)
Comment 1 Arjan van de Ven 2001-03-12 05:33:53 EST
htdig-3.1.5-6.src.rpm:                                   1.87 MB    4.61 MB/s  
htdig-3.2.0-0.b3.3.i386.rpm:                             1.44 MB    2.04 MB/s  
htdig-web-3.2.0-0.b3.3.i386.rpm:                       396.18 kB    4.76 MB/s  
kernel-2.2.16-22.i686.rpm:                               6.69 MB    1.46 MB/s  


not quite 10MB/s, but not too bad here....
Comment 2 Arjan van de Ven 2001-03-13 06:25:53 EST
Can you try kernel 0.1.26 or later ? It has a New And Improved(tm) driver
in it, still working on enhancing it even more.
Comment 3 David Sainty 2001-03-17 16:12:20 EST
Arjan,

Good news... I have got to the bottom of the performance problems we were
seeing.  With the xircom_tulip driver (both 2.4.2-0.1.22 and 2.4.2-0.1.29
kernels), this is the sort of performance we're seeing when connected to:

- Cisco 4006;  auto speed + duplex (Cisco picks 100FDX):   200kB/s + errors
-      "       100HDX:                                     8MB/s !!!
-      "       100FDX:                                     200kB/s + errors
-      "       10HDX:                                      65kB/s
-      "       10FDX:                                      80kB/s
- to Cisco 4006 auto s+d VIA NetGear FS116 Fast Ether switch:  200kB/s
- to Cisco 4006 VIA 3Com Office Connect Dual Speed Hub:        8MB/s

It looks as though the only port setting on the Cisco that the card likes is
100, half duplex.  100 full duplex does NOT work (and 10 Mbit connections are
bad also).

Fix up FDX on the card and we have a winner! :-)

Comment 4 Arjan van de Ven 2001-03-17 16:28:30 EST
I really, really hope you are talking about the xircom_cb driver and not
xircom_tulip_cb :)
I'll try to convince our local admin to play with my socket a bit to see if
I can get this behavior as well. For me I cat ftp files at harddisk-speed :)
Comment 5 David Sainty 2001-03-17 17:25:22 EST
Opps!! xircom_cb!! Sorry Arjan! ;-)

Yeah, it will be interesting to see if you can repeat this behaviour. For me, as
I said, its just a Cisco 4006 switch with 10/100 auto ports.

Thanks.
Comment 6 Arjan van de Ven 2001-03-19 05:40:56 EST
Our 3548 Cisco switches work fine on autodetect (they detect full duplex)
Maybe your IOS needs updrading.... 12.0(5)XU works fine here.

Note You need to log in before you can comment on or make changes to this bug.